class AboutUsModel {
  String appBarName;
  String appBarNameColor;
  String appBarBgColor;
  String bgColor;
  String settingsBgColor;
  String appLogo;
  String appVersionText;
  String appVersionColor;
  List<String> dataKeys;
  List<Settings> settings;
  String bottomName;
  String bottomNameColor;
  String appVerison;

  AboutUsModel({
    this.appBarName,
    this.appBarNameColor,
    this.appBarBgColor,
    this.bgColor,
    this.settingsBgColor,
    this.appLogo,
    this.appVersionText,
    this.appVersionColor,
    this.dataKeys,
    this.settings,
    this.bottomName,
    this.bottomNameColor,
    this.appVerison,
  });

  AboutUsModel.fromJson(Map<String, dynamic> json) {
    appBarName = json['app_bar_name'];
    appBarNameColor = json['app_bar_name_color'];
    appBarBgColor = json['app_bar_bg_color'];
    bgColor = json['bg_color'];
    settingsBgColor = json['settings_bg_color'];
    appLogo = json['app_logo'];
    appVersionText = json['app_version_text'];
    appVersionColor = json['app_version_color'];
    appVerison = json['appVerison'];
    dataKeys = json['data_keys'].cast<String>();
    if (json['settings'] != null) {
      settings = new List<Settings>();
      json['settings'].forEach((v) {
        settings.add(new Settings.fromJson(v));
      });
    }
    bottomName = json['bottom_name'];
    bottomNameColor = json['bottom_name_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['app_bar_name'] = this.appBarName;
    data['app_bar_name_color'] = this.appBarNameColor;
    data['app_bar_bg_color'] = this.appBarBgColor;
    data['bg_color'] = this.bgColor;
    data['settings_bg_color'] = this.settingsBgColor;
    data['app_logo'] = this.appLogo;
    data['app_version_text'] = this.appVersionText;
    data['app_version_color'] = this.appVersionColor;
    data['data_keys'] = this.dataKeys;
    if (this.settings != null) {
      data['settings'] = this.settings.map((v) => v.toJson()).toList();
    }
    data['bottom_name'] = this.bottomName;
    data['bottom_name_color'] = this.bottomNameColor;
    data['appVerison'] = this.appVerison;
    return data;
  }
}

class Settings {
  List<String> dataKeys;
  String type;
  String name;
  String subName;
  String nameColor;
  String subNameColor;
  String descText;
  String descColor;
  String skipIdentifier;

  Settings({this.dataKeys, this.name, this.subName, this.nameColor, this.subNameColor, this.descText, this.descColor, this.skipIdentifier});

  Settings.fromJson(Map<String, dynamic> json) {
    dataKeys = json['data_keys'].cast<String>();
    name = json['name'];
    type = json['type'];
    subName = json['sub_name'];
    nameColor = json['name_color'];
    subNameColor = json['sub_name_color'];
    descText = json['desc_text'];
    descColor = json['desc_color'];
    skipIdentifier = json['skip_identifier'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['data_keys'] = this.dataKeys;
    data['type'] =  this.type;
    data['name'] = this.name;
    data['sub_name'] = this.subName;
    data['name_color'] = this.nameColor;
    data['sub_name_color'] = this.subNameColor;
    data['desc_text'] = this.descText;
    data['desc_color'] = this.descColor;
    data['skip_identifier'] = this.skipIdentifier;
    return data;
  }
}
